OpenSCAD MirrorMeshFeature/it: Difference between revisions

From FreeCAD Documentation
(Created page with "==Utilizzo==")
(Updating to match new version of source page)
 
(9 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
{{Docnav/it
{{Docnav/it
|[[OpenSCAD_RefineShapeFeature/it|Affina la forma]]
|[[OpenSCAD_RefineShapeFeature/it|Affina la forma]]
|[[OpenSCAD_IncreaseTolerance/it|Incrementa la tolleranza]]
|[[OpenSCAD_IncreaseTolerance/it|Incrementa la tolleranza]]
|[[OpenSCAD_Module/it|OpenSCAD]]
|[[OpenSCAD_Workbench/it|OpenSCAD]]
|IconL=OpenSCAD_RefineShapeFeature.svg
|IconL=OpenSCAD_RefineShapeFeature.svg
|IconC=Workbench_OpenSCAD.svg
|IconC=Workbench_OpenSCAD.svg
|IconR=OpenSCAD_IncreaseToleranceFeature.svg
|IconR=OpenSCAD_IncreaseToleranceFeature.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/it
{{GuiCommand/it
|Name=OpenSCAD_MirrorMeshFeature
|Name=OpenSCAD MirrorMeshFeature
|Name/it=Specchia la mesh
|Name/it=Specchia la mesh
|MenuLocation=OpenSCAD → Specchia la mesh
|MenuLocation=OpenSCAD → Specchia la mesh
|Workbenches=[[OpenSCAD Module/it|OpenSCAD]]
|Workbenches=[[OpenSCAD_Workbench/it|OpenSCAD]]
|SeeAlso=[[Part_Mirror/it|Specchia di Part]]
|SeeAlso=[[Part_Mirror/it|Specchia di Part]]
}}
}}
</div>


==Descrizione==
==Descrizione==
Line 21: Line 26:
Creates a new mirrored mesh object, mirrored about the selected axis.
Creates a new mirrored mesh object, mirrored about the selected axis.


[[File:OpenSCAD_MirrorMesh.png]]
==Utilizzo==
==Utilizzo==


Line 27: Line 31:
# Click the {{KEY|OpenSCAD → Mirror Mesh Feature...}} menu.
# Click the {{KEY|OpenSCAD → Mirror Mesh Feature...}} menu.
# Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
# Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
* A parent-object is created and mirrored, the original object is rendered hidden.
* A new object is created and mirrored, the original object is rendered hidden.


==Limitations==
==Limitations==
Line 36: Line 40:


* The function does not modify the existing mesh, but returns a new mesh.
* The function does not modify the existing mesh, but returns a new mesh.
* The function can be accessed via python:
* The function can be accessed via Python:

{{Code|code=
{{Code|code=
import OpenSCADUtils
import OpenSCADUtils
Line 47: Line 52:




<div class="mw-translate-fuzzy">

{{Docnav/it

|[[OpenSCAD_RefineShapeFeature/it|Affina la forma]]
{{Docnav
|[[OpenSCAD_IncreaseTolerance/it|Incrementa la tolleranza]]
|[[OpenSCAD_RefineShapeFeature|Refine Shape Feature]]
|[[OpenSCAD_Workbench/it|OpenSCAD]]
|[[OpenSCAD_IncreaseTolerance|Increase Tolerance Feature]]
|[[OpenSCAD_Module|OpenSCAD]]
|IconL=OpenSCAD_RefineShapeFeature.svg
|IconL=OpenSCAD_RefineShapeFeature.svg
|IconC=Workbench_OpenSCAD.svg
|IconC=Workbench_OpenSCAD.svg
|IconR=OpenSCAD_IncreaseToleranceFeature.svg
|IconR=OpenSCAD_IncreaseToleranceFeature.svg
}}
}}
</div>


{{OpenSCAD_Tools_navi{{#translation:}}}}
{{OpenSCAD_Tools_navi{{#translation:}}}}

Latest revision as of 18:36, 26 December 2022

Other languages:

Specchia la mesh

Posizione nel menu
OpenSCAD → Specchia la mesh
Ambiente
OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Specchia di Part

Descrizione

Creates a new mirrored mesh object, mirrored about the selected axis.

Utilizzo

  1. Select the mesh object to be mirrored.
  2. Click the OpenSCAD → Mirror Mesh Feature... menu.
  3. Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
  • A new object is created and mirrored, the original object is rendered hidden.

Limitations

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new mirrored object.

Notes

  • The function does not modify the existing mesh, but returns a new mesh.
  • The function can be accessed via Python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to mirror
original_mesh = App.ActiveDocument.Mesh
mirrored_mesh = OpenSCADUtils.mirrormesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(mirrored_mesh)